(* simple lexer for propositional formulas *)

{
open Parse
}

let ws = [' ' '\t' '\n']

rule lexer = parse
  ws+ { lexer lexbuf }
| '(' { LLParen }
| ')' { LRParen }
| '=' { LEq }
| "#t" { LTrue }
| "#f" { LFalse }
| "NOT"  { LNot }
| "OR"   { LOr }
| "AND"  { LAnd }
| "-->"  { LImplies }
| "<-->" { LIff }
| ['a'-'z']+  { LVar (Lexing.lexeme lexbuf) }
| eof { LEof }
